class Country:
    def __init__(self, code, name):
        self.code, self.name, self.rates = code, name, []
        
    def add_tax_rate(self, category, ratetype, rate, comments):
        self.rates.append(
            [
                category,
                ratetype,
                rate,
                comments
            ]
        )

    def get_tax_rate(self, category, ratetype, fallback=True):
        for rate in self.rates:
            if rate[0] == category and rate[1] == ratetype:
                return rate
        if not ratetype == "STANDARD":
            return self.get_tax_rate(category, "STANDARD")
        if fallback and not category == "E-Services":
            return self.get_tax_rate("E-Services", ratetype)